[From nobody Tue Sep 27 22:30:36 2011
X-From-Line: nobody Thu Sep 22 17:59:36 2011
From: h h &lt;aakuusta@gmail.com&gt;
To: Florian Smeets &lt;flo@freebsd.org&gt;
Subject: Re: [SVN-Commit] r607 - branches/experimental/www/firefox-aurora
References: &lt;201108032303.p73N3RQq064006@trillian.chruetertee.ch&gt;
	&lt;86liv2a8ll.fsf@gmail.com&gt; &lt;4E4184BA.9060701@FreeBSD.org&gt;
	&lt;8662m68j21.fsf@gmail.com&gt; &lt;4E419ED6.30709@FreeBSD.org&gt;
	&lt;86fwku7b6o.fsf@gmail.com&gt; &lt;4E52305E.3040108@freebsd.org&gt;
	&lt;86pqjw1bl0.fsf@gmail.com&gt; &lt;86y5yi1iq7.fsf@gmail.com&gt;
	&lt;4E562EAF.6090101@freebsd.org&gt; &lt;8639fzgnwy.fsf@gmail.com&gt;
	&lt;4E70D035.1030904@freebsd.org&gt;
X-Draft-From: (&quot;nnmbox:mail.misc&quot; 1614)
Date: Thu, 22 Sep 2011 17:59:36 +0400
In-Reply-To: &lt;4E70D035.1030904@freebsd.org&gt; (Florian Smeets's message of &quot;Wed, 
	14 Sep 2011 18:03:01 +0200&quot;)
Message-ID: &lt;867h50ad9z.fsf@gmail.com&gt;
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (berkeley-unix)
MIME-Version: 1.0
Content-Type: text/plain

Florian Smeets &lt;flo@freebsd.org&gt; writes:

&gt; On 14.09.2011 17:10, h h wrote:
&gt;&gt;    http://bugs.freebsd.org/160721
&gt;&gt;
&gt;&gt; Would be good if the fix makes it into 9.0-RELEASE. It'd reduce the
&gt;&gt; number of FreeBSD releases gecko@ has to provide the workaround for.
&gt;&gt;
&gt;
&gt; I just confirmed that it's working, nice! I'll see if i can get
&gt; someone to commit it.
&gt;
&gt; Thanks for notifying me!

So, it was committed only to /head and /stable/8. Can you try the
following diff? It should use the workaround until OSVERSION is bumped
in those branches.

Index: www/firefox-beta/files/patch-xpcom__threads__nsThreadManager.cpp
===================================================================
--- www/firefox-beta/files/patch-xpcom__threads__nsThreadManager.cpp	(revision 627)
+++ www/firefox-beta/files/patch-xpcom__threads__nsThreadManager.cpp	(working copy)
@@ -1,10 +1,11 @@
 --- ./xpcom/threads/nsThreadManager.cpp.orig	2011-08-25 02:37:45.000000000 +0200
 +++ ./xpcom/threads/nsThreadManager.cpp	2011-08-28 17:14:14.000000000 +0200
-@@ -89,6 +89,10 @@
+@@ -89,6 +89,11 @@
  nsresult
  nsThreadManager::Init()
  {
-+#ifdef NS_TLS
++#if defined(NS_TLS) &amp;&amp; (__FreeBSD_version &lt; 802513 \
++    || (__FreeBSD_version &gt;= 900000 &amp;&amp; __FreeBSD_version &lt; 900045))
 +  if (!gTLSThreadID)
 +    gTLSThreadID = mozilla::threads::Generic;
 +#endif
]